Saturday, 14 August 2010

Deploy WebSphere Plugin - Working on next release

It is time to return back to work, after a well deserved break. Following the release 1.0 is time to think about the next release. Well, version 1.0 is available and up-and-running but I bet a lot of people wouldn't find it really useful. This because for to use it, you need to disable the WAS security. It can be acceptable if both Hudson and WAS seat in the same (well protected) LAN and, for example the, WAS is a machine used from the developers as Reference box. But if WAS needs to be well secured and/or in production alas.
Now next release should cover WAS 6.1/7 with security enabled. I have already a working proof of concept so it is just matter of polish a bit the code. Here start the "bad news". For having the deploy websphere builder to work with security enabled you need an IBM JRE. This sounds as a big limitation and infact it is. To overcome it you need to install the hudson.war in WAS rather than in Tomcat for example. Well to be perfectly honest though whoever use this plugin is suppose to be a WebSphere user so it shouldn't be so huge deal... Any way more to come soon, so stay tuned!!